# Uses of Interface
org.italiangrid.voms.request.VOMSProtocolListener

Packages that use VOMSProtocolListener
Package
Description
org.italiangrid.voms.request.impl
This package provides the implementation logic for VOMS attributes requests.
org.italiangrid.voms.util
This package provides utility classes used in other packages.

## Uses of VOMSProtocolListener in org.italiangrid.voms.request.impl

Fields in org.italiangrid.voms.request.impl declared as VOMSProtocolListener
Modifier and Type
Field
Description
`protected VOMSProtocolListener`
AbstractVOMSProtocol.`listener`
Listener for protocol events.
`protected final VOMSProtocolListener`
DefaultVOMSACService.`protocolListener`
The listener that will be informed about low-level protocol details
Methods in org.italiangrid.voms.request.impl with parameters of type VOMSProtocolListener
Modifier and Type
Method
Description
`static LegacyRequestSender`
LegacyRequestSender.`instance(VOMSProtocolListener listener)`
`DefaultVOMSACService.Builder`
DefaultVOMSACService.Builder.`protocolListener(VOMSProtocolListener pl)`
Sets the `VOMSProtocolListener` for the `DefaultVOMSACService` that this builder is creating
Constructors in org.italiangrid.voms.request.impl with parameters of type VOMSProtocolListener
Modifier
Constructor
Description
``
`AbstractVOMSProtocol(eu.emi.security.authn.x509.X509CertChainValidatorExt validator, VOMSProtocolListener listener, int connectTimeout, int readTimeout)`
Constructor initializing the protocol with a validator, listener, and timeout settings.
``
`LegacyProtocol(eu.emi.security.authn.x509.X509CertChainValidatorExt validator, VOMSProtocolListener listener, int connectTimeout, int readTimeout)`
``
`RESTProtocol(eu.emi.security.authn.x509.X509CertChainValidatorExt validator, VOMSProtocolListener listener, int connectTimeout, int readTimeout)`

## Uses of VOMSProtocolListener in org.italiangrid.voms.util

Classes in org.italiangrid.voms.util that implement VOMSProtocolListener
Modifier and Type
Class
Description
`enum`
`NullListener`
A Singleton Listener which swallows notification.